> ## Documentation Index
> Fetch the complete documentation index at: https://docs.prophecy.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Amazon S3 connection properties API

> Properties required to create and update S3 connections

Properties for Amazon S3 connections are specified in the `properties` object when creating or updating a connection. All properties are nested within the connection request body.

## Properties

<ParamField body="region" type="string" required>
  AWS region where the S3 bucket is located. Example: `us-east-1`, `ap-south-1`, `eu-west-1`.
</ParamField>

<ParamField body="bucketName" type="string" required>
  Name of the S3 bucket to connect to.
</ParamField>

<ParamField body="accessKeyID" type="string" required>
  AWS access key ID for authenticating to S3.
</ParamField>

<ParamField body="secretAccessKey" type="object" required>
  Reference to a Prophecy secret containing the AWS secret access key.

  * When using the [create connection API](/api-reference/connections/add-connection-to-fabric), the secret must be stored in Prophecy before creating the connection.
  * When using the [create fabric API](/api-reference/fabrics/create-a-new-fabric), replace this whole object with the string `{{SECRET}}`, which references the secret being created in parallel to the connection.

  <Expandable title="secretAccessKey properties">
    <ParamField body="secretAccessKey.kind" type="string" required>
      Secret kind. Must be `prophecy`.
    </ParamField>

    <ParamField body="secretAccessKey.subKind" type="string" required>
      Secret sub-type. Must be `text` for secret access keys.
    </ParamField>

    <ParamField body="secretAccessKey.type" type="string" required>
      Type of reference. Must be `secret`.
    </ParamField>

    <ParamField body="secretAccessKey.properties" type="object" required>
      Properties identifying the secret by ID and name.
    </ParamField>

    <ParamField body="secretAccessKey.properties.id" type="string" required>
      The ID of the secret stored in Prophecy. Find the ID using the [List secrets per fabric
      API](/api-reference/secrets/list-secrets-per-fabric).
    </ParamField>

    <ParamField body="secretAccessKey.properties.name" type="string" required>
      The name of the secret stored in Prophecy.
    </ParamField>
  </Expandable>
</ParamField>

<ParamField body="kgConfig" type="object">
  Knowledge graph configuration settings for the connection. See the [Knowledge graph
  indexer](/api-reference/connections/properties/kgconfig) properties for more information.
</ParamField>
